Bug Hunting Session
Bug 95155 - UI: renaming Tools->Options->LibreOffice->Appearance to 'Application Colors'
Summary: UI: renaming Tools->Options->LibreOffice->Appearance to 'Application Colors'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.1.0 target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2015-10-18 13:03 UTC by Björn Michaelsen
Modified: 2018-08-14 16:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2015-10-18 13:03:44 UTC
So Tools->Options->LibreOffice->Appearance likely is highly misleading to the average user, expecting the settings we have in Tools->Options->LibreOffice->View there.

The immediate solution is to rename this to 'Application Colors', which is at least a bit less misleading (That should be an EasyHack).

A follow-up task would be to remove the tab altogether from the selection in Tools->Options and instead have it appear as a popup dialog, when pressing a new "Applications Color Scheme" button on the Tools->Options->LibreOffice->View tab page.
Comment 1 V Stuart Foote 2015-10-18 13:48:59 UTC
Renaming seems reasonable--but breaks with a long legacy.

Moving to a dialog based interface located on Tools -> Options -> View makes sense and in its graphical nature works better than only integrating as Expert Configuration stanzas.

I like both ideas, but would like it to go a bit further. Seems like there are GUI attributes that are not now included in the Custom Colors segments. The color selections lists might be reworked to the color picker. And the "Color scheme" should be bundled with user profile for portability/synchronization.
Comment 2 Commit Notification 2015-10-18 15:24:09 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fc9a304d9da18036d32b0578abaeb301de593949

tdf#95155 Update help for renamed Options category
Comment 3 V Stuart Foote 2015-10-18 16:24:32 UTC
@Adolfo,

> http://cgit.freedesktop.org/libreoffice/help/commit/
> ?id=fc9a304d9da18036d32b0578abaeb301de593949
> 
> tdf#95155 Update help for renamed Options category

Something on your commit got crossed with this bug 95155
Comment 4 Adolfo Jayme 2015-10-18 18:46:41 UTC
@Stuart: that commit is intended for this bug. As of this writing it’s still invisible in the freedesktop.org mirror, but you can see it here: https://gerrit.libreoffice.org/gitweb?p=help.git;a=commitdiff;h=fc9a304d9da18036d32b0578abaeb301de593949
Comment 5 V Stuart Foote 2015-10-18 19:41:45 UTC
(In reply to Adolfo Jayme from comment #4)
> @Stuart: that commit is intended for this bug. As of this writing it’s still
> invisible in the freedesktop.org mirror, but you can see it here:
> https://gerrit.libreoffice.org/gitweb?p=help.git;a=commitdiff;
> h=fc9a304d9da18036d32b0578abaeb301de593949

You're right, sorry for the noise. Just weird having the help change go in before the UI changes.
Comment 6 Commit Notification 2015-10-20 05:54:53 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30550321945597baa8c917512bb5ef29cd627ba9

tdf#95155 Rename “Appearance” options to “Application Colors”

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-16 00:13:33 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2016-03-02 21:02:31 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=47cc97d2ef4f3f59a2d3d5e66a25d04fc0fff463

tdf#95155 rename "Appearance" to "Application Colors"